v 14.0 Third Party 1515
Download for v 14.0 Deploy on Odoo.sh
Required Apps Invoicing (account)
Lines of code 490
Technical Name base_account_budget
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0 v 15.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Lines of code 490
Technical Name base_account_budget
LicenseLGPL-3
Websitehttps://www.cybrosys.com
Also available in version v 13.0 v 15.0

Odoo 14 Budget Management

Budget Management in Odoo 14 Community Edition

Overview

This module allows accountants to manage analytics and budgets. Once the budget is defined (in Accounting/Accounting/Budgets), the Project Managers can set the planned amount on each Analytic Account. The accountant got the possibility to see the total of amount planned for each budget in order to ensure the total planned is not greater/lower than what he planned for this budget. Each list of record can also be switched to a graphical view of it.

Features

Odoo 14 Community Edition Support

Budget management system in Odoo 14 Community Edition.

Budgetary Positions

Create and manage Budgetary Positions.

Manage with Analytic Accounts

Manage budgets with analytic accounts.

Budgetary Planning with Planned Amount

Budgetary planning with planned amount on each Analytic Account.

Budgetary Reports

Budgetary reports are also available.

Screenshots

Creating Budget

Create Budget from Accounting > Accounting > Budget > Create.

Set Analytic Account by Project Managers

The Project Managers can set the planned amount on each Analytic Account.

Create Budgetary Positions

Create Budgetary Positions from Accounting > Configuration > Management > Budgetary Positions > Create.

Budget report

For Budget report, go to Accounting > Reporting > Management > Budgets.

Suggested Products


Our Services


Odoo Customization
Odoo Implementation
Odoo Support
Hire Odoo Developer
Odoo Integration
Odoo Migration
Odoo Consultancy
Odoo Implementation
Odoo Licensing Consultancy

Our Industries


Trading

Easily procure and sell your products

POS

Easy configuration and convivial experience

Education

A platform for educational management

Manufacturing

Plan, track and schedule your operations

E-commerce & Website

Mobile friendly, awe-inspiring product pages

Service Management

Keep track of services and invoice

Restaurant

Run your bar or restaurant methodically

Hotel Management

An all-inclusive hotel management application

Need Help?



Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Problems while updating
by
Stephane Kolijn
on 10/10/21, 11:43 AM
doo Server Error
Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/tools/convert.py", line 677, in _tag_root
    f(rec)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 580, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/odoo/odoo-server/odoo/models.py", line 4198, in _load_records
    data['record']._load_records_write(data['values'])
  File "/odoo/odoo-server/odoo/models.py", line 4135, in _load_records_write
    self.write(values)
  File "/odoo/odoo-server/odoo/models.py", line 3666, in write
    field.write(self, vals[fname])
  File "/odoo/odoo-server/odoo/fields.py", line 3040, in write
    return self.write_batch([(records, value)])
  File "/odoo/odoo-server/odoo/fields.py", line 3061, in write_batch
    return self.write_real(records_commands_list, create)
  File "/odoo/odoo-server/odoo/fields.py", line 3233, in write_real
    flush()
  File "/odoo/odoo-server/odoo/fields.py", line 3193, in flush
    comodel.browse(to_delete).unlink()
  File "/odoo/odoo-server/odoo/models.py", line 3424, in unlink
    self.flush()
  File "/odoo/odoo-server/odoo/models.py", line 5437, in flush
    process(self.env[model_name], id_vals)
  File "/odoo/odoo-server/odoo/models.py", line 5428, in process
    recs._write(vals)
  File "/odoo/odoo-server/odoo/models.py", line 3752, in _write
    cr.execute(query, params + [sub_ids])
  File "<decorator-gen-3>", line 2, in execute
  File "/odoo/odoo-server/odoo/sql_db.py", line 101, in check
    return f(self, *args, **kwargs)
  File "/odoo/odoo-server/odoo/sql_db.py", line 298, in execute
    res = self._obj.execute(query, params)
psycopg2.IntegrityError: duplicate key value violates unique constraint "followup_line_days_uniq"
DETAIL:  Key (followup_id, delay)=(1, 5) already exists.
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/odoo/odoo-server/odoo/http.py", line 683, in dispatch
    result = self._call_function(**self.params)
  File "/odoo/odoo-server/odoo/http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/odoo/odoo-server/odoo/http.py", line 347, in checked_call
    result = self.endpoint(*a, **kw)
  File "/odoo/odoo-server/odoo/http.py", line 912, in __call__
    return self.method(*args, **kw)
  File "/odoo/odoo-server/odoo/http.py", line 531, in response_wrap
    response = f(*args, **kw)
  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1381, in call_button
    action = self._call_kw(model, method, args, kwargs)
  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1369, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/odoo/odoo-server/odoo/api.py", line 396, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/odoo/odoo-server/odoo/api.py", line 383, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "<decorator-gen-77>", line 2, in button_immediate_upgrade
  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 73, in check_and_log
    return method(self, *args, **kwargs)
  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 653, in button_immediate_upgrade
    return self._button_immediate_function(type(self).button_upgrade)
  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 592, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
  File "/odoo/odoo-server/odoo/modules/registry.py", line 89, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/odoo/odoo-server/odoo/modules/loading.py", line 451, in load_modules
    force, status, report, loaded_modules, update_module, models_to_check)
  File "/odoo/odoo-server/odoo/modules/loading.py", line 348, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/odoo/odoo-server/odoo/modules/loading.py", line 221, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package)
  File "/odoo/odoo-server/odoo/modules/loading.py", line 69, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 733, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 799, in convert_xml_import
    obj.parse(doc.getroot())
  File "/odoo/odoo-server/odoo/tools/convert.py", line 719, in parse
    self._tag_root(de)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 677, in _tag_root
    f(rec)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 685, in _tag_root
    )) from e
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/odoo/odoo-server/odoo/http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
odoo.tools.convert.ParseError: while parsing /odoo/odoo-server/addons/base_accounting_kit/data/followup_levels.xml:8, near
<record model="account.followup" id="followup">
            <field name="followup_line_ids" eval="[(6,0,[ref('followup_line_id')])]"/>
        </record>

Prolbems updating, please help out. I have this with several of your modules.
by
Stephane Kolijn
on 10/10/21, 11:44 AM
doo Server Error
Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/tools/convert.py", line 677, in _tag_root
    f(rec)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 580, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/odoo/odoo-server/odoo/models.py", line 4198, in _load_records
    data['record']._load_records_write(data['values'])
  File "/odoo/odoo-server/odoo/models.py", line 4135, in _load_records_write
    self.write(values)
  File "/odoo/odoo-server/odoo/models.py", line 3666, in write
    field.write(self, vals[fname])
  File "/odoo/odoo-server/odoo/fields.py", line 3040, in write
    return self.write_batch([(records, value)])
  File "/odoo/odoo-server/odoo/fields.py", line 3061, in write_batch
    return self.write_real(records_commands_list, create)
  File "/odoo/odoo-server/odoo/fields.py", line 3233, in write_real
    flush()
  File "/odoo/odoo-server/odoo/fields.py", line 3193, in flush
    comodel.browse(to_delete).unlink()
  File "/odoo/odoo-server/odoo/models.py", line 3424, in unlink
    self.flush()
  File "/odoo/odoo-server/odoo/models.py", line 5437, in flush
    process(self.env[model_name], id_vals)
  File "/odoo/odoo-server/odoo/models.py", line 5428, in process
    recs._write(vals)
  File "/odoo/odoo-server/odoo/models.py", line 3752, in _write
    cr.execute(query, params + [sub_ids])
  File "<decorator-gen-3>", line 2, in execute
  File "/odoo/odoo-server/odoo/sql_db.py", line 101, in check
    return f(self, *args, **kwargs)
  File "/odoo/odoo-server/odoo/sql_db.py", line 298, in execute
    res = self._obj.execute(query, params)
psycopg2.IntegrityError: duplicate key value violates unique constraint "followup_line_days_uniq"
DETAIL:  Key (followup_id, delay)=(1, 5) already exists.
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/odoo/odoo-server/odoo/http.py", line 683, in dispatch
    result = self._call_function(**self.params)
  File "/odoo/odoo-server/odoo/http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/odoo/odoo-server/odoo/http.py", line 347, in checked_call
    result = self.endpoint(*a, **kw)
  File "/odoo/odoo-server/odoo/http.py", line 912, in __call__
    return self.method(*args, **kw)
  File "/odoo/odoo-server/odoo/http.py", line 531, in response_wrap
    response = f(*args, **kw)
  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1381, in call_button
    action = self._call_kw(model, method, args, kwargs)
  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1369, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/odoo/odoo-server/odoo/api.py", line 396, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/odoo/odoo-server/odoo/api.py", line 383, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "<decorator-gen-77>", line 2, in button_immediate_upgrade
  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 73, in check_and_log
    return method(self, *args, **kwargs)
  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 653, in button_immediate_upgrade
    return self._button_immediate_function(type(self).button_upgrade)
  File "/odoo/odoo-server/odoo/addons/base/models/ir_module.py", line 592, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
  File "/odoo/odoo-server/odoo/modules/registry.py", line 89, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/odoo/odoo-server/odoo/modules/loading.py", line 451, in load_modules
    force, status, report, loaded_modules, update_module, models_to_check)
  File "/odoo/odoo-server/odoo/modules/loading.py", line 348, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/odoo/odoo-server/odoo/modules/loading.py", line 221, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package)
  File "/odoo/odoo-server/odoo/modules/loading.py", line 69, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 733, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 799, in convert_xml_import
    obj.parse(doc.getroot())
  File "/odoo/odoo-server/odoo/tools/convert.py", line 719, in parse
    self._tag_root(de)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 677, in _tag_root
    f(rec)
  File "/odoo/odoo-server/odoo/tools/convert.py", line 685, in _tag_root
    )) from e
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/odoo/odoo-server/odoo/http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/odoo/odoo-server/odoo/http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
odoo.tools.convert.ParseError: while parsing /odoo/odoo-server/addons/base_accounting_kit/data/followup_levels.xml:8, near
<record model="account.followup" id="followup">
            <field name="followup_line_ids" eval="[(6,0,[ref('followup_line_id')])]"/>
        </record>

This module generate error after installation
by
binu
on 12/3/20, 2:11 PM
Below is the error when we try to create a new budget , odoo 14
Can you fix this ?

File "/usr/lib/python3/dist-packages/odoo/addons/base_account_budget/models/account_budget.py", line 165, in _compute_theoretical_amount line_timedelta = fields.Datetime.from_string(line.date_to) - fields.Datetime.from_string( Exception The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 639, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 315, in _handle_exception raise exception.with_traceback(None) from new_cause TypeError: unsupported operand type(s) for -: 'NoneType' and 'NoneType'